Subject: Re: [PATCH v2 00/17] object-store: carve out the object database subsystem

From: Derrick Stolee <[email-masked]>
Date: Mon, 12 May 2025 14:33:28 -0400

On 5/9/2025 5:43 PM, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
>> Changes in v2:
>>   - Fix for a copy-and-pasted commit message.
>>   - Rename `struct odb_backend` to `struct odb_alternate`. I'm happy to
>>     revert to the previous name if we ultimately think it's the better
>>     suited one.
> 
> Diff between the previous iteration is quite noisy due to this; I do
> not have strong opinion for or against either name myself.

I agree the range-diff is noisy, so I had to reread the patches.

Thankfully, the patch organization was already pretty good, so
it was quick to validate that my earlier concerns were handled. 
>>   - A couple of fixes to move changes into the correct commit. `git
>>     rebase -x 'meson compile -C build'` is now clean.
> 
> Good to see that we care about bisectability.
> 
>>   - I _didn't_ back out the rename to "odb.{c,h}". Junio has already
>>     fixed the fallout, so it's probably more work for him to kick it out
>>     again than to just leave it in.
> 
> You do not have to make me an excuse, if popular demand is not to
> rename; I can cope with either one fine.
I'm happy that you considered my advice as necessary.

Since the rename doesn't appear to have huge implications for
ongoing series, I won't voice any further objections to this
rename.

v2 LGTM.

Thanks,
-Stolee